

const axios = require('@/common/axios').default
import qs from 'qs'

// 获取课程组详情
const getGroupDetail = (data) => {
    return axios({
        url: '/api-student/courseGroup/getGroupDetail',
        method: 'get',
        params: data
    })
}

// 购买课程组
const buyCourseGroup = (data) => {
    return axios({
        url: '/api-student/courseGroup/buyCourseGroup',
        method: 'post',
        data: qs.stringify(data)
    })
}

// 评论详情
const getReviewInfo = (data) => {
    return axios({
        url: '/api-student/courseReview/getReviewInfo',
        method: 'get',
        params: data
    })
}

// 评论详情
const getStuAndTeaReviewInfo = (data) => {
    return axios({
        url: '/api-student/courseReview/getStuAndTeaReviewInfo',
        method: 'get',
        params: data
    })
}

// 注册协议
const queryRegisterContract = (data) => {
    return axios({
        url: '/api-student/contracts/queryRegisterContract',
        method: 'get',
        params: data
    })
}

export {
    getGroupDetail,
    buyCourseGroup,
    getReviewInfo,
    getStuAndTeaReviewInfo,
    queryRegisterContract
}