const axios = require('@/common/axios').default
import qs from 'qs'

// 获取陪练课预约参数
const getPracticeApplyParams = (data) => {
  return axios({
    url: '/api-student/practiceGroup/getPracticeApplyParams',
    method: 'get',
    params: data
  })
}

// 获取指定学员所在分部下的教师空闲时间
const getTeacherFreeTimes = (data) => {
  return axios({
    url: '/api-student/practiceGroup/getTeacherFreeTimes',
    method: 'get',
    params: data
  })
}

// 获取学生的陪练课
const findUserPracticeCourses = (data) => {
  return axios({
    url: '/api-student/practiceGroup/findUserPracticeCourses',
    method: 'get',
    params: data
  })
}

// 获取学生的陪练课
const practiceApply = (data) => {
  return axios({
    url: '/api-student/practiceGroup/practiceApply',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 获取老师列表
const getEnableApplyTeachers = (data) => {
  return axios({
    url: '/api-student/practiceGroup/getEnableApplyTeachers',
    method: 'get',
    params: data
  })
}


// 获取陪练课预约参数——付费
const getPayPracticeApplyParams = (data) => {
  return axios({
    url: '/api-student/practiceGroup/getPayPracticeApplyParams',
    method: 'get',
    params: data
  })
}

// 获取可以预约的教师--付费
const getEnableApplyTeachersWithPay = (data) => {
  return axios({
    url: '/api-student/practiceGroup/getEnableApplyTeachersWithPay',
    method: 'get',
    params: data
  })
}

// 获取指定教师的空闲时间——付费
const getPayPracticeTeacherFreeTimes = (data) => {
  return axios({
    url: '/api-student/practiceGroup/getPayPracticeTeacherFreeTimes',
    method: 'get',
    params: data
  })
}

// 陪练课购买
const buyPracticeGroup = (data) => {
  return axios({
    url: '/api-student/practiceGroup/buyPracticeGroup',
    method: 'post',
    data: data
  })
}

// 获取用户历史购买的陪练课
const findUserHistoryBuyPracticeGroups = (data) => {
  return axios({
    url: '/api-student/practiceGroup/findUserHistoryBuyPracticeGroups',
    method: 'get',
    params: data
  })
}

// 获取学生上一次的购买信息--付费
const findUserLatestPracticeGroup = (data) => {
  return axios({
    url: '/api-student/practiceGroup/findUserLatestPracticeGroup',
    method: 'get',
    params: data
  })
}

// 查询订单信息
const queryOrderInfo = (data) => {
  return axios({
    url: '/api-student/practiceGroup/queryOrderInfo',
    method: 'get',
    params: data
  })
}

// 查询订单信息
const groupRepay = (data) => {
  return axios({
    url: '/api-student/practiceGroup/repay',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 查询合同
const queryPracticeCoursesContract = (data) => {
  return axios({
    url: '/api-student/contracts/queryPracticeCoursesContract',
    method: 'get',
    params: data
  })
}

// 获取老师列表
const checkCanApplyFreePracticeGroup = (data) => {
  return axios({
    url: '/api-student/practiceGroup/checkCanApplyFreePracticeGroup',
    method: 'get',
    params: data
  })
}

// 检测用户是否存在待支付的课程组订单
const checkExistWaitPayOrder = (data) => {
  return axios({
    url: '/api-student/practiceGroup/checkExistWaitPayOrder',
    method: 'get',
    params: data
  })
}

// 取消待支付的订单
const cancelWaitPayOrder = (data) => {
  return axios({
    url: '/api-student/practiceGroup/cancelWaitPayOrder',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 是否是新用户
const isNewStudent = (data) => {
  return axios({
    url: '/api-student/practiceGroup/isNewStudent',
    method: 'get',
    params: data
  })
}

export {
    getPracticeApplyParams,
    getTeacherFreeTimes,
    findUserPracticeCourses,
    practiceApply,
    getEnableApplyTeachers,
    getPayPracticeApplyParams,
    getEnableApplyTeachersWithPay,
    getPayPracticeTeacherFreeTimes,
    buyPracticeGroup,
    findUserHistoryBuyPracticeGroups,
    findUserLatestPracticeGroup,
    queryOrderInfo,
    queryPracticeCoursesContract,
    groupRepay,
    checkCanApplyFreePracticeGroup,
    checkExistWaitPayOrder,
    cancelWaitPayOrder,
    isNewStudent
}
