import qs from 'qs'
const axios = require('@/common/axios').default
const apiPrefix = '/api-auth'
// 手机号密码方式登录
const usernameLogin = (data) => {
    return axios({
        url: apiPrefix + '/usernameLogin',
        method: 'post',
        data: qs.stringify(data)
    })
}
// 刷新token
const refreshToken = (data) => {
    return axios({
        url: apiPrefix + '/refreshToken',
        method: 'post',
        data
    })
}

// 发送登录短信验证码
const sendSms = (data) => {
    return axios({
        url: '/api-student/code/sendSms',
        method: 'post',
        data: qs.stringify(data)
    })
}

// 校验短信验证码
const verifySmsCode = (data) => {
    return axios({
        url: '/api-student/code/verifySmsCode',
        method: 'post',
        data: qs.stringify(data)
    })
}

// 短信验证码的方式登录
const smsLogin = (data) => {
    return axios({
        url: apiPrefix + '/smsLogin',
        method: 'post',
        data: qs.stringify(data)
    })
}

// 获取用户基本信息
const queryUserInfo = (data) => {
    return axios({
        url: apiPrefix + '/queryUserInfo',
        method: 'get',
        params: data
    })
}

// 乐团报名缴费状态查询
const getMusicGroupStatus = (data) => {
    return axios({
        url: '/api-student/musicGroup/getMusicGroupStatus',
        method: 'get',
        params: data
    })
}

// 修改学生信息
const userInfoUpdate = (data) => {
    return axios({
        url: apiPrefix + '/user/update',
        method: 'post',
        data: qs.stringify(data)
    })
}

// 检查手机号
const queryUserByPhone = (data) => {
    return axios({
        url: apiPrefix + '/user/noAuth/queryUserByPhone',
        method: 'get',
        params: data
    })
  }

export {
    usernameLogin,
    refreshToken,
    sendSms,
    verifySmsCode,
    smsLogin,
    getMusicGroupStatus,
    queryUserInfo,
    userInfoUpdate,
    queryUserByPhone
}