const axios = require('@/common/axios').default
import qs from 'qs'

// 帮助中心分类
const helpCenterCatalogList = (data) => {
    return axios({
        url: '/api-cms/helpCenterCatalog/list',
        method: 'get',
        params: data
    })
}

// 帮助中心
const helpCenterContentList = (data) => {
    return axios({
        url: '/api-cms/helpCenterContent/list',
        method: 'get',
        params: data
    })
}

// 获取维修记录详情
const getRepairInfo = (data) => {
    return axios({
        url: '/api-student/repair/getRepairInfo',
        method: 'get',
        params: data
    })
}

// 获取维修技师信息
const getRepairer = (data) => {
    return axios({
        url: '/api-student/repair/getRepairer',
        method: 'post',
        data: qs.stringify(data)
    })
}

// 获取维修记录
const getStudentRepairList = (data) => {
    return axios({
        url: '/api-student/repair/getStudentRepairList',
        method: 'get',
        params: data
    })
}

// 支付维修单
const payRepair = (data) => {
    return axios({
        url: '/api-student/repair/payRepair',
        method: 'post',
        data: qs.stringify(data)
    })
}

export {
    helpCenterCatalogList,
    helpCenterContentList,
    getRepairInfo,
    getRepairer,
    getStudentRepairList,
    payRepair
}