const axios = require('@/common/axios').default
import qs from 'qs'
// import axios from '@/common/axios'
// console.log(axios)

// 获取乐团报名所需信息
const getMusicGroupRegInfo = (data) => {
  return axios({
    url: '/api-student/register/getMusicGroupRegInfo',
    method: 'get',
    params: data
  })
}

// 获取乐团报名所需信息
const registerAdd = (data) => {
  return axios({
    url: '/api-student/register/add',
    method: 'post',
    data: data
  })
}

// 获取乐团声部费用信息及乐器和辅件
const getSubjectGoodsAndInfo = (data) => {
  return axios({
    url: '/api-student/musicGroup/getSubjectGoodsAndInfo',
    method: 'get',
    params: data
  })
}

// 乐团报名支付
const musicGroupPay = (data) => {
  return axios({
    url: '/api-student/musicGroup/pay',
    method: 'post',
    data: data
  })
}

// 乐团报名重新支付
const musicGroupRePay = (data) => {
  return axios({
    url: '/api-student/musicGroup/rePay',
    method: 'post',
    data: data
  })
}

// 资讯列表分页查询
const newsList = (data) => {
  return axios({
    url: '/api-cms/news/list',
    method: 'get',
    params: data
  })
}

// 查询资讯详情
const newsQuery = (data) => {
  return axios({
    url: '/api-cms/news/query',
    method: 'get',
    params: data
  })
}

// 订单状态查询
const getOrderStatus = (data) => {
  return axios({
    url: '/api-student/musicGroup/getOrderStatus',
    method: 'get',
    params: data
  })
}

// 订单状态查询
const checkOrderStatus = (data) => {
  return axios({
    url: '/api-student/studentOrder/checkOrderStatus',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 查询合同
const queryGoodsContract = (data) => {
  return axios({
    url: '/api-student/contracts/queryGoodsContract',
    method: 'get',
    params: data
  })
}

// 查询乐团课程协议
const queryMusicGroupCoursesContract = (data) => {
  return axios({
    url: '/api-student/contracts/queryMusicGroupCoursesContract',
    method: 'get',
    params: data
  })
}

// 查询VIP课程协议
const queryVipGroupCoursesContract = (data) => {
  return axios({
    url: '/api-student/contracts/queryVipGroupCoursesContract',
    method: 'get',
    params: data
  })
}

// 查询续费信息
const queryRenewInfo = (data) => {
  return axios({
    url: '/api-student/musicGroup/queryRenewInfo',
    method: 'get',
    params: data
  })
}

// 续费
const musicGroupReNew = (data) => {
  return axios({
    url: '/api-student/musicGroup/renew',
    method: 'get',
    params: data
  })
}

// 小班课报名
const highReg = (data) => {
  return axios({
    url: '/api-student/classGroup/highReg',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 小班课列表
const highClassGroups = (data) => {
  return axios({
    url: '/api-student/classGroup/highClassGroups',
    method: 'get',
    params: data
  })
}

// vip基本信息
const getVipGroupPayInfo = (data) => {
  return axios({
    url: '/api-student/studentVipGroup/getVipGroupPayInfo',
    method: 'post',
    data: qs.stringify(data)
  })
}

// vip购买
const buyVipGroup = (data) => {
  return axios({
    url: '/api-student/studentVipGroup/buyVipGroup',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 零星购买
const sporadicPay = (data) => {
  return axios({
    url: '/api-student/sporadicChargeInfo/sporadicPay',
    method: 'post',
    data: data
  })
}

// 零星购买详情
const sporadicChargeInfo = (data) => {
  return axios({
    url: '/api-student/sporadicChargeInfo/get',
    method: 'get',
    params: data
  })
}

// 学生是否激活
const queryStudentPer = (data) => {
  return axios({
    url: '/api-student/studentManage/queryStudentPer',
    method: 'get',
    params: data
  })
}

// 福袋信息获取
const activityInfo = (data) => {
  return axios({
    url: '/api-student/sporadicChargeInfo/activityInfo',
    method: 'get',
    params: data
  })
}

// 获取用户是否预约试听课
const findPracticeByUser = (data) => {
  return axios({
    url: '/api-student/practiceLessonApply/findPracticeByUser',
    method: 'get',
    params: data
  })
}

// 新增预约学生 Practice
const addPractice = (data) => {
  return axios({
    url: '/api-student/practiceLessonApply/add',
    method: 'post',
    data: data
  })
}
// 查看学习报告
const studyReport = (data) => {
  return axios({
    url: '/api-student/studyReport/info',
    method: 'get',
    params: data

  })
}
// 查看学习报告新
const getReviewsInfo = (data) => {
  return axios({
    url: '/api-student/studyReport/getReviewsInfo',
    method: 'get',
    params: data

  })
}

// 查看学习报告列表
const getGroupReviews = (data) => {
  return axios({
    url: '/api-student/studyReport/getGroupReviews',
    method: 'get',
    params: data

  })
}

// 统计网管课信息
const getPracticeGroupStatis = (data) => {
  return axios({
    url: '/api-student/studentOrder/getPracticeGroupStatis',
    method: 'get',
    params: data

  })
}

// 统计网管课信息
const getPracticeStatis = (data) => {
  return axios({
    url: '/api-student/studentOrder/getPracticeStatis',
    method: 'get',
    params: data

  })
}


export {
  getMusicGroupRegInfo,
  registerAdd,
  getSubjectGoodsAndInfo,
  musicGroupPay,
  musicGroupRePay,
  newsList,
  newsQuery,
  getOrderStatus,
  checkOrderStatus,
  queryGoodsContract,
  queryVipGroupCoursesContract,
  queryRenewInfo,
  musicGroupReNew,
  queryMusicGroupCoursesContract,
  highReg,
  highClassGroups,
  getVipGroupPayInfo,
  buyVipGroup,
  sporadicPay,
  sporadicChargeInfo,
  queryStudentPer,
  activityInfo,
  findPracticeByUser,
  addPractice,
  studyReport,
  getPracticeGroupStatis,
  getPracticeStatis,
  getGroupReviews,
  getReviewsInfo
}